# Eventing (Core)

Endpoints to create, update and read subscriptions.

## List subscriptions

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read subscriptions.","name":"Eventing (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Subscriptions":{"properties":{"subscriptions":{"items":{"$ref":"#/components/schemas/Subscription"},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"type":"object","title":"Subscriptions","description":"Subscriptions"},"Subscription":{"allOf":[{"$ref":"#/components/schemas/SubscriptionForCreation"}],"properties":{"created":{"description":"The date this subscription was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"id":{"type":"string"}},"required":["id","created"],"type":"object","title":"Subscription","description":"Subscription"},"SubscriptionForCreation":{"additionalProperties":false,"properties":{"callbackUrl":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated: Use new 'target' object instead.","type":"string"},"contexts":{"description":"Optional context filters to limit which events trigger the subscription based on facility relationships. Multiple contexts are evaluated with logical AND. FACILITY context can only appear once, FACILITY_GROUP contexts can appear multiple times.","items":{"$ref":"#/components/schemas/SubscriptionContext"},"type":"array"},"event":{"description":"Name of the event in the fulfillmenttools platform.","type":"string"},"headers":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated: Use new 'target' object instead.","items":{"$ref":"#/components/schemas/CallbackHeader"},"minItems":1,"type":"array"},"name":{"description":"Name of the event, this is freely selectable.","type":"string"},"target":{"anyOf":[{"$ref":"#/components/schemas/SubscriptionTargetWebhook"},{"$ref":"#/components/schemas/SubscriptionTargetMicrosoftAzureServiceBus"},{"$ref":"#/components/schemas/SubscriptionTargetGoogleCloudPubSub"}]}},"required":["name","event"],"type":"object","title":"SubscriptionForCreation","description":"SubscriptionForCreation"},"SubscriptionContext":{"description":"Context filter for subscriptions to limit events based on facility relationships.","properties":{"type":{"$ref":"#/components/schemas/SubscriptionContextType"},"values":{"description":"Array of facility IDs or facility group names to filter by.","items":{"type":"string"},"minItems":1,"type":"array"}},"required":["type","values"],"title":"SubscriptionContext","type":"object"},"SubscriptionContextType":{"description":"Types of context filters for subscriptions.","enum":["FACILITY","FACILITY_GROUP"],"title":"SubscriptionContextType","type":"string"},"CallbackHeader":{"description":"Header for the Webhook call.","properties":{"key":{"description":"This is the key of the header. e.g.: `Authorization`","type":"string"},"value":{"description":"This is the value for the header. e.g.: `Basic dXNlcm5hbWU6cGFzc3dvcmQ=`","type":"string"}},"required":["key","value"],"title":"CallbackHeader","type":"object"},"SubscriptionTargetWebhook":{"additionalProperties":false,"description":"Subscriptions model for a Webhook target.","properties":{"callbackUrl":{"type":"string"},"headers":{"items":{"$ref":"#/components/schemas/CallbackHeader"},"minItems":1,"type":"array"},"type":{"$ref":"#/components/schemas/SubscriptionTargetWebhookEnum"}},"required":["type","callbackUrl"],"title":"SubscriptionTargetWebhook","type":"object"},"SubscriptionTargetWebhookEnum":{"description":"Type of subscription target webhook.","enum":["WEBHOOK"],"title":"SubscriptionTargetWebhookEnum","type":"string"},"SubscriptionTargetMicrosoftAzureServiceBus":{"additionalProperties":false,"description":"Subscriptions model for a Microsoft Azure Service Bus target.","properties":{"clientId":{"description":"'Application (Client) ID' from the app registration in 'Microsoft Entra ID' (formerly 'Azure AD').","minLength":1,"type":"string"},"clientSecret":{"description":"Client secret from the used Azure application.","minLength":1,"type":"string"},"namespace":{"description":"The Azure Service Bus namespace.","minLength":1,"type":"string"},"queueOrTopicName":{"description":"Name of the queue or topic in the Service Bus namespace.","minLength":1,"type":"string"},"tenantId":{"description":"'Directory (Tenant) ID' from the app registration in 'Microsoft Entra ID' (formerly 'Azure AD').","minLength":1,"type":"string"},"type":{"$ref":"#/components/schemas/SubscriptionTargetMicrosoftAzureServiceBusEnum"}},"required":["type","tenantId","clientId","clientSecret","namespace","queueOrTopicName"],"title":"SubscriptionTargetMicrosoftAzureServiceBus","type":"object"},"SubscriptionTargetMicrosoftAzureServiceBusEnum":{"description":"Type of subscription target Microsoft Azure Service Bus.","enum":["MICROSOFT_AZURE_SERVICE_BUS"],"title":"SubscriptionTargetMicrosoftAzureServiceBusEnum","type":"string"},"SubscriptionTargetGoogleCloudPubSub":{"additionalProperties":false,"description":"Subscriptions model for a Google Cloud Pub/Sub target.","properties":{"projectId":{"description":"Id of the Google Cloud project.","minLength":1,"type":"string"},"topicId":{"description":"Id of the Google Cloud Pub/Sub topic.","minLength":1,"type":"string"},"type":{"$ref":"#/components/schemas/SubscriptionTargetGoogleCloudPubSubEnum"}},"required":["type","projectId","topicId"],"title":"SubscriptionTargetGoogleCloudPubSub","type":"object"},"SubscriptionTargetGoogleCloudPubSubEnum":{"description":"Type of subscription target Google Cloud Pub/Sub.","enum":["GOOGLE_CLOUD_PUB_SUB"],"title":"SubscriptionTargetGoogleCloudPubSubEnum","type":"string"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/subscriptions":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getSubscriptions","parameters":[{"description":"all entities after given Id","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show","in":"query","name":"size","required":false,"schema":{"default":25,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Subscriptions"}}},"description":"All subscriptions."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List subscriptions","tags":["Eventing (Core)"]}}}}
```

## Create subscription

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Add new Subscription. Please note: Currently it is only possible to add max. five subscriptions per event.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read subscriptions.","name":"Eventing (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"SubscriptionForCreation":{"additionalProperties":false,"properties":{"callbackUrl":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated: Use new 'target' object instead.","type":"string"},"contexts":{"description":"Optional context filters to limit which events trigger the subscription based on facility relationships. Multiple contexts are evaluated with logical AND. FACILITY context can only appear once, FACILITY_GROUP contexts can appear multiple times.","items":{"$ref":"#/components/schemas/SubscriptionContext"},"type":"array"},"event":{"description":"Name of the event in the fulfillmenttools platform.","type":"string"},"headers":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated: Use new 'target' object instead.","items":{"$ref":"#/components/schemas/CallbackHeader"},"minItems":1,"type":"array"},"name":{"description":"Name of the event, this is freely selectable.","type":"string"},"target":{"anyOf":[{"$ref":"#/components/schemas/SubscriptionTargetWebhook"},{"$ref":"#/components/schemas/SubscriptionTargetMicrosoftAzureServiceBus"},{"$ref":"#/components/schemas/SubscriptionTargetGoogleCloudPubSub"}]}},"required":["name","event"],"type":"object","title":"SubscriptionForCreation","description":"SubscriptionForCreation"},"SubscriptionContext":{"description":"Context filter for subscriptions to limit events based on facility relationships.","properties":{"type":{"$ref":"#/components/schemas/SubscriptionContextType"},"values":{"description":"Array of facility IDs or facility group names to filter by.","items":{"type":"string"},"minItems":1,"type":"array"}},"required":["type","values"],"title":"SubscriptionContext","type":"object"},"SubscriptionContextType":{"description":"Types of context filters for subscriptions.","enum":["FACILITY","FACILITY_GROUP"],"title":"SubscriptionContextType","type":"string"},"CallbackHeader":{"description":"Header for the Webhook call.","properties":{"key":{"description":"This is the key of the header. e.g.: `Authorization`","type":"string"},"value":{"description":"This is the value for the header. e.g.: `Basic dXNlcm5hbWU6cGFzc3dvcmQ=`","type":"string"}},"required":["key","value"],"title":"CallbackHeader","type":"object"},"SubscriptionTargetWebhook":{"additionalProperties":false,"description":"Subscriptions model for a Webhook target.","properties":{"callbackUrl":{"type":"string"},"headers":{"items":{"$ref":"#/components/schemas/CallbackHeader"},"minItems":1,"type":"array"},"type":{"$ref":"#/components/schemas/SubscriptionTargetWebhookEnum"}},"required":["type","callbackUrl"],"title":"SubscriptionTargetWebhook","type":"object"},"SubscriptionTargetWebhookEnum":{"description":"Type of subscription target webhook.","enum":["WEBHOOK"],"title":"SubscriptionTargetWebhookEnum","type":"string"},"SubscriptionTargetMicrosoftAzureServiceBus":{"additionalProperties":false,"description":"Subscriptions model for a Microsoft Azure Service Bus target.","properties":{"clientId":{"description":"'Application (Client) ID' from the app registration in 'Microsoft Entra ID' (formerly 'Azure AD').","minLength":1,"type":"string"},"clientSecret":{"description":"Client secret from the used Azure application.","minLength":1,"type":"string"},"namespace":{"description":"The Azure Service Bus namespace.","minLength":1,"type":"string"},"queueOrTopicName":{"description":"Name of the queue or topic in the Service Bus namespace.","minLength":1,"type":"string"},"tenantId":{"description":"'Directory (Tenant) ID' from the app registration in 'Microsoft Entra ID' (formerly 'Azure AD').","minLength":1,"type":"string"},"type":{"$ref":"#/components/schemas/SubscriptionTargetMicrosoftAzureServiceBusEnum"}},"required":["type","tenantId","clientId","clientSecret","namespace","queueOrTopicName"],"title":"SubscriptionTargetMicrosoftAzureServiceBus","type":"object"},"SubscriptionTargetMicrosoftAzureServiceBusEnum":{"description":"Type of subscription target Microsoft Azure Service Bus.","enum":["MICROSOFT_AZURE_SERVICE_BUS"],"title":"SubscriptionTargetMicrosoftAzureServiceBusEnum","type":"string"},"SubscriptionTargetGoogleCloudPubSub":{"additionalProperties":false,"description":"Subscriptions model for a Google Cloud Pub/Sub target.","properties":{"projectId":{"description":"Id of the Google Cloud project.","minLength":1,"type":"string"},"topicId":{"description":"Id of the Google Cloud Pub/Sub topic.","minLength":1,"type":"string"},"type":{"$ref":"#/components/schemas/SubscriptionTargetGoogleCloudPubSubEnum"}},"required":["type","projectId","topicId"],"title":"SubscriptionTargetGoogleCloudPubSub","type":"object"},"SubscriptionTargetGoogleCloudPubSubEnum":{"description":"Type of subscription target Google Cloud Pub/Sub.","enum":["GOOGLE_CLOUD_PUB_SUB"],"title":"SubscriptionTargetGoogleCloudPubSubEnum","type":"string"},"Subscription":{"allOf":[{"$ref":"#/components/schemas/SubscriptionForCreation"}],"properties":{"created":{"description":"The date this subscription was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"id":{"type":"string"}},"required":["id","created"],"type":"object","title":"Subscription","description":"Subscription"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/subscriptions":{"post":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Add new Subscription. Please note: Currently it is only possible to add max. five subscriptions per event.","operationId":"addSubscription","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionForCreation"}}},"description":"Representation that describes the subscription","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Subscription"}}},"description":"Subscription is successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create subscription","tags":["Eventing (Core)"]}}}}
```

## Delete subscription

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read subscriptions.","name":"Eventing (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Subscription":{"allOf":[{"$ref":"#/components/schemas/SubscriptionForCreation"}],"properties":{"created":{"description":"The date this subscription was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"id":{"type":"string"}},"required":["id","created"],"type":"object","title":"Subscription","description":"Subscription"},"SubscriptionForCreation":{"additionalProperties":false,"properties":{"callbackUrl":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated: Use new 'target' object instead.","type":"string"},"contexts":{"description":"Optional context filters to limit which events trigger the subscription based on facility relationships. Multiple contexts are evaluated with logical AND. FACILITY context can only appear once, FACILITY_GROUP contexts can appear multiple times.","items":{"$ref":"#/components/schemas/SubscriptionContext"},"type":"array"},"event":{"description":"Name of the event in the fulfillmenttools platform.","type":"string"},"headers":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated: Use new 'target' object instead.","items":{"$ref":"#/components/schemas/CallbackHeader"},"minItems":1,"type":"array"},"name":{"description":"Name of the event, this is freely selectable.","type":"string"},"target":{"anyOf":[{"$ref":"#/components/schemas/SubscriptionTargetWebhook"},{"$ref":"#/components/schemas/SubscriptionTargetMicrosoftAzureServiceBus"},{"$ref":"#/components/schemas/SubscriptionTargetGoogleCloudPubSub"}]}},"required":["name","event"],"type":"object","title":"SubscriptionForCreation","description":"SubscriptionForCreation"},"SubscriptionContext":{"description":"Context filter for subscriptions to limit events based on facility relationships.","properties":{"type":{"$ref":"#/components/schemas/SubscriptionContextType"},"values":{"description":"Array of facility IDs or facility group names to filter by.","items":{"type":"string"},"minItems":1,"type":"array"}},"required":["type","values"],"title":"SubscriptionContext","type":"object"},"SubscriptionContextType":{"description":"Types of context filters for subscriptions.","enum":["FACILITY","FACILITY_GROUP"],"title":"SubscriptionContextType","type":"string"},"CallbackHeader":{"description":"Header for the Webhook call.","properties":{"key":{"description":"This is the key of the header. e.g.: `Authorization`","type":"string"},"value":{"description":"This is the value for the header. e.g.: `Basic dXNlcm5hbWU6cGFzc3dvcmQ=`","type":"string"}},"required":["key","value"],"title":"CallbackHeader","type":"object"},"SubscriptionTargetWebhook":{"additionalProperties":false,"description":"Subscriptions model for a Webhook target.","properties":{"callbackUrl":{"type":"string"},"headers":{"items":{"$ref":"#/components/schemas/CallbackHeader"},"minItems":1,"type":"array"},"type":{"$ref":"#/components/schemas/SubscriptionTargetWebhookEnum"}},"required":["type","callbackUrl"],"title":"SubscriptionTargetWebhook","type":"object"},"SubscriptionTargetWebhookEnum":{"description":"Type of subscription target webhook.","enum":["WEBHOOK"],"title":"SubscriptionTargetWebhookEnum","type":"string"},"SubscriptionTargetMicrosoftAzureServiceBus":{"additionalProperties":false,"description":"Subscriptions model for a Microsoft Azure Service Bus target.","properties":{"clientId":{"description":"'Application (Client) ID' from the app registration in 'Microsoft Entra ID' (formerly 'Azure AD').","minLength":1,"type":"string"},"clientSecret":{"description":"Client secret from the used Azure application.","minLength":1,"type":"string"},"namespace":{"description":"The Azure Service Bus namespace.","minLength":1,"type":"string"},"queueOrTopicName":{"description":"Name of the queue or topic in the Service Bus namespace.","minLength":1,"type":"string"},"tenantId":{"description":"'Directory (Tenant) ID' from the app registration in 'Microsoft Entra ID' (formerly 'Azure AD').","minLength":1,"type":"string"},"type":{"$ref":"#/components/schemas/SubscriptionTargetMicrosoftAzureServiceBusEnum"}},"required":["type","tenantId","clientId","clientSecret","namespace","queueOrTopicName"],"title":"SubscriptionTargetMicrosoftAzureServiceBus","type":"object"},"SubscriptionTargetMicrosoftAzureServiceBusEnum":{"description":"Type of subscription target Microsoft Azure Service Bus.","enum":["MICROSOFT_AZURE_SERVICE_BUS"],"title":"SubscriptionTargetMicrosoftAzureServiceBusEnum","type":"string"},"SubscriptionTargetGoogleCloudPubSub":{"additionalProperties":false,"description":"Subscriptions model for a Google Cloud Pub/Sub target.","properties":{"projectId":{"description":"Id of the Google Cloud project.","minLength":1,"type":"string"},"topicId":{"description":"Id of the Google Cloud Pub/Sub topic.","minLength":1,"type":"string"},"type":{"$ref":"#/components/schemas/SubscriptionTargetGoogleCloudPubSubEnum"}},"required":["type","projectId","topicId"],"title":"SubscriptionTargetGoogleCloudPubSub","type":"object"},"SubscriptionTargetGoogleCloudPubSubEnum":{"description":"Type of subscription target Google Cloud Pub/Sub.","enum":["GOOGLE_CLOUD_PUB_SUB"],"title":"SubscriptionTargetGoogleCloudPubSubEnum","type":"string"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/subscriptions/{subscriptionId}":{"delete":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"deleteSubscription","parameters":[{"description":"ID of the subscription you want to delete","in":"path","name":"subscriptionId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Subscription"}}},"description":"Subscription is successfully deleted."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Delete subscription","tags":["Eventing (Core)"]}}}}
```

## List supported events

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read subscriptions.","name":"Eventing (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"SupportedEvents":{"properties":{"supportedEvents":{"items":{"$ref":"#/components/schemas/SupportedEvent"},"type":"array"}},"type":"object","title":"SupportedEvents","description":"SupportedEvents"},"SupportedEvent":{"properties":{"description":{"type":"string"},"event":{"type":"string"}},"type":"object","title":"SupportedEvent","description":"SupportedEvent"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/supportedevents":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getEvents","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportedEvents"}}},"description":"All supported events."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List supported events","tags":["Eventing (Core)"]}}}}
```
